org.keycloak.authorization.jpa.entities

## Class ScopeEntity

- java.lang.Object
- - org.keycloak.authorization.jpa.entities.ScopeEntity

-     @Entity
      public class ScopeEntity
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopeEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getDisplayName()`
    `String` | `getIconUri()`
    `String` | `getId()`
    `String` | `getName()`
    `List<PolicyEntity>` | `getPolicies()`
    `ResourceServerEntity` | `getResourceServer()`
    `int` | `hashCode()`
    `void` | `setDisplayName(String displayName)`
    `void` | `setIconUri(String iconUri)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setPolicies(List<PolicyEntity> policies)`
    `void` | `setResourceServer(ResourceServerEntity resourceServer)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScopeEntity

          public ScopeEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

    - #### getIconUri

          public String getIconUri()

    - #### setIconUri

          public void setIconUri(String iconUri)

    - #### getResourceServer

          public ResourceServerEntity getResourceServer()

    - #### getPolicies

          public List<PolicyEntity> getPolicies()

    - #### setPolicies

          public void setPolicies(List<PolicyEntity> policies)

    - #### setResourceServer

          public void setResourceServer(ResourceServerEntity resourceServer)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.